function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["modalRender", "title", "offsetX", "offsetY", "className"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import { useDraggable } from '@dnd-kit/core';
import { CSS } from '@dnd-kit/utilities';
import usePrefixCls from "../hooks/usePrefixCls";
import Modal from "../modal";
import { jsx as _jsx } from "react/jsx-runtime";
function BaseModal(props) {
  var modalRender = props.modalRender,
    title = props.title,
    offsetX = props.offsetX,
    offsetY = props.offsetY,
    className = props.className,
    resetProps = _objectWithoutProperties(props, _excluded);
  var prefixCls = usePrefixCls('drag-modal', props.prefixCls);
  var _useDraggable = useDraggable({
      id: 'easy-antd-modal-draggable-modal'
    }),
    attributes = _useDraggable.attributes,
    isDragging = _useDraggable.isDragging,
    listeners = _useDraggable.listeners,
    setNodeRef = _useDraggable.setNodeRef,
    transform = _useDraggable.transform;
  var mergeModalRender = function mergeModalRender(rawNode) {
    var _modalRender;
    return /*#__PURE__*/_jsx("div", {
      ref: setNodeRef,
      style: {
        position: 'relative',
        transform: isDragging ? CSS.Transform.toString(transform) : undefined,
        top: offsetY,
        left: offsetX
      },
      className: "".concat(prefixCls, "-content__wrapper"),
      children: (_modalRender = modalRender === null || modalRender === void 0 ? void 0 : modalRender(rawNode)) !== null && _modalRender !== void 0 ? _modalRender : rawNode
    });
  };

  // Compliance with BEM norms
  var modalCls = [className, isDragging && "".concat(prefixCls, "_dragging")].filter(Boolean).join(' ');
  return /*#__PURE__*/_jsx(Modal, _objectSpread(_objectSpread({}, resetProps), {}, {
    prefixCls: prefixCls,
    className: modalCls,
    title: /*#__PURE__*/_jsx("div", _objectSpread(_objectSpread(_objectSpread({}, listeners), attributes), {}, {
      style: {
        cursor: 'move'
      },
      className: "".concat(prefixCls, "-title__inner"),
      children: title
    })),
    modalRender: mergeModalRender
  }));
}
export default BaseModal;